it.csi.mddtools.guigen

## Enum StdWebResModuleNames

- java.lang.Object
- - java.lang.Enum<StdWebResModuleNames>
  - - it.csi.mddtools.guigen.StdWebResModuleNames

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<StdWebResModuleNames>, org.eclipse.emf.common.util.Enumerator

      public enum StdWebResModuleNames
      extends java.lang.Enum<StdWebResModuleNames>
      implements org.eclipse.emf.common.util.Enumerator

  A representation of the literals of the enumeration 'Std Web Res Module Names', and utility methods for working with them. Moduli standard di risorse web
  See Also:
    `GuigenPackage.getStdWebResModuleNames()`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AREABRAND` The 'Areabrand' literal object
    `ENRICHMENTS` The 'Enrichments' literal object
    `EXT_ALL` The 'Ext all' literal object
    `EXTJSCSICORE` The 'Extjscsicore' literal object
    `EXTJSCSIENRICHER` The 'Extjscsienricher' literal object
    `EXTJSCSIMDD` The 'Extjscsimdd' literal object
    `EXTLIBSAREABRAND` The 'Extlibsareabrand' literal object
    `EXTLIBSTHEME` The 'Extlibstheme' literal object
    `GLOBALINCLUSIONS` The 'Globalinclusions' literal object
    `OPENLAYERS` The 'Openlayers' literal object
    `OPENLAYERSAREABRAND` The 'Openlayersareabrand' literal object
    `OPENLAYERSTHEME` The 'Openlayerstheme' literal object
    `XSTRUCTURE` The 'Xstructure' literal object

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `AREABRAND_VALUE` The 'Areabrand' literal value
    `static int` | `ENRICHMENTS_VALUE` The 'Enrichments' literal value
    `static int` | `EXT_ALL_VALUE` The 'Ext all' literal value
    `static int` | `EXTJSCSICORE_VALUE` The 'Extjscsicore' literal value
    `static int` | `EXTJSCSIENRICHER_VALUE` The 'Extjscsienricher' literal value
    `static int` | `EXTJSCSIMDD_VALUE` The 'Extjscsimdd' literal value
    `static int` | `EXTLIBSAREABRAND_VALUE` The 'Extlibsareabrand' literal value
    `static int` | `EXTLIBSTHEME_VALUE` The 'Extlibstheme' literal value
    `static int` | `GLOBALINCLUSIONS_VALUE` The 'Globalinclusions' literal value
    `static int` | `OPENLAYERS_VALUE` The 'Openlayers' literal value
    `static int` | `OPENLAYERSAREABRAND_VALUE` The 'Openlayersareabrand' literal value
    `static int` | `OPENLAYERSTHEME_VALUE` The 'Openlayerstheme' literal value
    `static java.util.List<StdWebResModuleNames>` | `VALUES` A public read-only list of all the 'Std Web Res Module Names' enumerators
    `static int` | `XSTRUCTURE_VALUE` The 'Xstructure' literal value

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StdWebResModuleNames` | `get(int value)` Returns the 'Std Web Res Module Names' literal with the specified integer value
    `static StdWebResModuleNames` | `get(java.lang.String literal)` Returns the 'Std Web Res Module Names' literal with the specified literal value
    `static StdWebResModuleNames` | `getByName(java.lang.String name)` Returns the 'Std Web Res Module Names' literal with the specified name
    `java.lang.String` | `getLiteral()`
    `java.lang.String` | `getName()`
    `int` | `getValue()`
    `java.lang.String` | `toString()` Returns the literal value of the enumerator, which is its string representation
    `static StdWebResModuleNames` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StdWebResModuleNames[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### EXT_ALL

          public static final StdWebResModuleNames EXT_ALL

      The 'Ext all' literal object.
      See Also:
        `EXT_ALL_VALUE`

    - #### OPENLAYERS

          public static final StdWebResModuleNames OPENLAYERS

      The 'Openlayers' literal object.
      See Also:
        `OPENLAYERS_VALUE`

    - #### EXTJSCSICORE

          public static final StdWebResModuleNames EXTJSCSICORE

      The 'Extjscsicore' literal object.
      See Also:
        `EXTJSCSICORE_VALUE`

    - #### EXTJSCSIENRICHER

          public static final StdWebResModuleNames EXTJSCSIENRICHER

      The 'Extjscsienricher' literal object.
      See Also:
        `EXTJSCSIENRICHER_VALUE`

    - #### EXTJSCSIMDD

          public static final StdWebResModuleNames EXTJSCSIMDD

      The 'Extjscsimdd' literal object.
      See Also:
        `EXTJSCSIMDD_VALUE`

    - #### EXTLIBSTHEME

          public static final StdWebResModuleNames EXTLIBSTHEME

      The 'Extlibstheme' literal object.
      See Also:
        `EXTLIBSTHEME_VALUE`

    - #### XSTRUCTURE

          public static final StdWebResModuleNames XSTRUCTURE

      The 'Xstructure' literal object.
      See Also:
        `XSTRUCTURE_VALUE`

    - #### AREABRAND

          public static final StdWebResModuleNames AREABRAND

      The 'Areabrand' literal object.
      See Also:
        `AREABRAND_VALUE`

    - #### EXTLIBSAREABRAND

          public static final StdWebResModuleNames EXTLIBSAREABRAND

      The 'Extlibsareabrand' literal object.
      See Also:
        `EXTLIBSAREABRAND_VALUE`

    - #### OPENLAYERSTHEME

          public static final StdWebResModuleNames OPENLAYERSTHEME

      The 'Openlayerstheme' literal object.
      See Also:
        `OPENLAYERSTHEME_VALUE`

    - #### OPENLAYERSAREABRAND

          public static final StdWebResModuleNames OPENLAYERSAREABRAND

      The 'Openlayersareabrand' literal object.
      See Also:
        `OPENLAYERSAREABRAND_VALUE`

    - #### ENRICHMENTS

          public static final StdWebResModuleNames ENRICHMENTS

      The 'Enrichments' literal object.
      See Also:
        `ENRICHMENTS_VALUE`

    - #### GLOBALINCLUSIONS

          public static final StdWebResModuleNames GLOBALINCLUSIONS

      The 'Globalinclusions' literal object.
      See Also:
        `GLOBALINCLUSIONS_VALUE`

  - ### Field Detail

    - #### EXT_ALL_VALUE

          public static final int EXT_ALL_VALUE

      The 'Ext all' literal value.

      If the meaning of 'Ext all' literal object isn't clear, there really should be more of a description here...

      Libreria Javascript ExtJs, utilizzata per la realizzazione delle funzioni "ricche". Tipologia: javascript
      See Also:
        `EXT_ALL`, Constant Field Values

    - #### OPENLAYERS_VALUE

          public static final int OPENLAYERS_VALUE

      The 'Openlayers' literal value.

      If the meaning of 'Openlayers' literal object isn't clear, there really should be more of a description here...

      Libreria Javascript OpenLayers, utilizzata per la realizzazione delle funzionalità GIS (widget MapView). Tipologia: javascript
      See Also:
        `OPENLAYERS`, Constant Field Values

    - #### EXTJSCSICORE_VALUE

          public static final int EXTJSCSICORE_VALUE

      The 'Extjscsicore' literal value.

      If the meaning of 'Extjscsicore' literal object isn't clear, there really should be more of a description here...

      Libreria Javascript extjscsicore (estensione di ExtJS per la realizzazione di widget/funzioni ricche utilizzate dalla modalità arricchita di guigen). Tipologia: javascript
      See Also:
        `EXTJSCSICORE`, Constant Field Values

    - #### EXTJSCSIENRICHER_VALUE

          public static final int EXTJSCSIENRICHER_VALUE

      The 'Extjscsienricher' literal value.

      If the meaning of 'Extjscsienricher' literal object isn't clear, there really should be more of a description here...

      Libreria Javascript extjscsienricher (estensione di ExtJS per la realizzazione del meccanismo di arricchimento disponibile in guigen). Tipologia: javascript
      See Also:
        `EXTJSCSIENRICHER`, Constant Field Values

    - #### EXTJSCSIMDD_VALUE

          public static final int EXTJSCSIMDD_VALUE

      The 'Extjscsimdd' literal value.

      If the meaning of 'Extjscsimdd' literal object isn't clear, there really should be more of a description here...

      Libreria Javascript extjscsimdd (estensione di ExtJS per la realizzazione dello strato completo di presentation in modalità FAT di guigen). Tipologia: javascript
      See Also:
        `EXTJSCSIMDD`, Constant Field Values

    - #### EXTLIBSTHEME_VALUE

          public static final int EXTLIBSTHEME_VALUE

      The 'Extlibstheme' literal value. Stilizzazione di base delle estensioni alla user interface fornite dalla libreria ExtJS. E' specifica di ogni portale. Tipologia: javascript
      See Also:
        `EXTLIBSTHEME`, Constant Field Values

    - #### XSTRUCTURE_VALUE

          public static final int XSTRUCTURE_VALUE

      The 'Xstructure' literal value.

      If the meaning of 'Xstructure' literal object isn't clear, there really should be more of a description here...

      Impostazione della struttura portante necessaria per realizzare i vari tipi di layout per XHTML universale. E' specifica di ogni portale. Tipologia: stili CSS.
      See Also:
        `XSTRUCTURE`, Constant Field Values

    - #### AREABRAND_VALUE

          public static final int AREABRAND_VALUE

      The 'Areabrand' literal value.

      If the meaning of 'Areabrand' literal object isn't clear, there really should be more of a description here...

      Stilizzazione specifica della singola area tematica atta a realizzarne il brand>. Agisce come specializzazione di xstructure. E' specifica di ogni portale e di ogni area tematica. Anche l'area tematica di default (general) deve essere stilizzata in questo modo. Tipologia: stili CSS.
      See Also:
        `AREABRAND`, Constant Field Values

    - #### EXTLIBSAREABRAND_VALUE

          public static final int EXTLIBSAREABRAND_VALUE

      The 'Extlibsareabrand' literal value. Stilizzazione specifica della singola area tematica atta a realizzarne il brand>. Agisce come specializzazione di quanto definito in xtheme. E' specifica di ogni portale e di ogni area tematica. Anche l'area tematica di default (general) deve essere stilizzata in questo modo. Tipologia: stili css
      See Also:
        `EXTLIBSAREABRAND`, Constant Field Values

    - #### OPENLAYERSTHEME_VALUE

          public static final int OPENLAYERSTHEME_VALUE

      The 'Openlayerstheme' literal value. Stilizzazione di base delle estensioni alla user interface fornite dalla libreria OPENLAYERS. E' specifica di ogni portale. Tipologia: javascript
      See Also:
        `OPENLAYERSTHEME`, Constant Field Values

    - #### OPENLAYERSAREABRAND_VALUE

          public static final int OPENLAYERSAREABRAND_VALUE

      The 'Openlayersareabrand' literal value. Stilizzazione specifica della singola area tematica atta a realizzarne il brand>. Agisce come specializzazione di quanto definito in openlayerstheme. E' specifica di ogni portale e di ogni area tematica. Anche l'area tematica di default (general) deve essere stilizzata in questo modo. Tipologia: stili css
      See Also:
        `OPENLAYERSAREABRAND`, Constant Field Values

    - #### ENRICHMENTS_VALUE

          public static final int ENRICHMENTS_VALUE

      The 'Enrichments' literal value.

      If the meaning of 'Enrichments' literal object isn't clear, there really should be more of a description here...

      Arricchimenti specifici della singola applicazione. Tipologia: javascript
      See Also:
        `ENRICHMENTS`, Constant Field Values

    - #### GLOBALINCLUSIONS_VALUE

          public static final int GLOBALINCLUSIONS_VALUE

      The 'Globalinclusions' literal value.

      If the meaning of 'Globalinclusions' literal object isn't clear, there really should be more of a description here...

      Frammenti html inclusi globalmente. Tipologia: risorse web di varia natura (tipicamente html)
      See Also:
        `GLOBALINCLUSIONS`, Constant Field Values

    - #### VALUES

          public static final java.util.List<StdWebResModuleNames> VALUES

      A public read-only list of all the 'Std Web Res Module Names' enumerators.

  - ### Method Detail

    - #### values

          public static StdWebResModuleNames[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StdWebResModuleNames c : StdWebResModuleNames.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StdWebResModuleNames valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public static StdWebResModuleNames get(java.lang.String literal)

      Returns the 'Std Web Res Module Names' literal with the specified literal value.
      Parameters:
        `literal` - the literal.
      Returns:
        the matching enumerator or `null`.

    - #### getByName

          public static StdWebResModuleNames getByName(java.lang.String name)

      Returns the 'Std Web Res Module Names' literal with the specified name.
      Parameters:
        `name` - the name.
      Returns:
        the matching enumerator or `null`.

    - #### get

          public static StdWebResModuleNames get(int value)

      Returns the 'Std Web Res Module Names' literal with the specified integer value.
      Parameters:
        `value` - the integer value.
      Returns:
        the matching enumerator or `null`.

    - #### getValue

          public int getValue()

      Specified by:
        `getValue` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getName

          public java.lang.String getName()

      Specified by:
        `getName` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### getLiteral

          public java.lang.String getLiteral()

      Specified by:
        `getLiteral` in interface `org.eclipse.emf.common.util.Enumerator`

    - #### toString

          public java.lang.String toString()

      Returns the literal value of the enumerator, which is its string representation.
      Overrides:
        `toString` in class `java.lang.Enum<StdWebResModuleNames>`